Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/py-bottle: new aport http://bottlepy.org/ Fast and simple WSGI-framework for small web-applications.

From: Paul Kilar <pkilar_at_gmail.com>
Date: Mon, 9 Sep 2013 13:58:49 -0400

---
 testing/py-bottle/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/py-bottle/APKBUILD
diff --git a/testing/py-bottle/APKBUILD b/testing/py-bottle/APKBUILD
new file mode 100644
index 0000000..d299e62
--- /dev/null
+++ b/testing/py-bottle/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=py-bottle
+pkgver='0.11.6'
+pkgrel=0
+pkgdesc="Bottle is a fast, simple and lightweight WSGI micro web-framework for Python."
+url="http://bottlepy.org/"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/b/bottle/bottle-$pkgver.tar.gz"
+_builddir="$srcdir"/bottle-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="0bafdc4e13ea2b1a3bddf36b5af108c4  bottle-0.11.6.tar.gz"
+sha256sums="2e63802cbe6a21537e35d92ec3c80a1e302dc619d169efe6a212cab9f48e7b29  bottle-0.11.6.tar.gz"
+sha512sums="511748cee1694db9ec04f5f49cf5d44d273f6424733532d4558acc546b4a44a1462433ca9483bf59235b48318b20289e9ae8f8c5d1dc4379da4a86c03848f922  bottle-0.11.6.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Sep 09 2013 - 13:58:49 GMT